package jp.sourceforge.shovel.entity.impl;

import jp.sourceforge.shovel.entity.IDoCoMoExtend;

import org.seasar.dao.annotation.tiger.Bean;
import org.seasar.dao.annotation.tiger.Id;
import org.seasar.dao.annotation.tiger.IdType;

@Bean(table = "docomo_extends")
public class DoCoMoExtendImpl implements IDoCoMoExtend {
    long modelId_;
    String model_;
    int depth_;
    int width_;
    int height_;
    String htmlVersion_;

    public long getModelId() {
        return modelId_;
    }
    public String getModel() {
        return model_;
    }
    public int getDepth() {
        return depth_;
    }
    public int getWidth() {
        return width_;
    }
    public int getHeight() {
        return height_;
    }
    public String getHtmlVersion() {
        return htmlVersion_;
    }
    @Id(IdType.IDENTITY)
    public void setModelId(long modelId) {
        modelId_ = modelId;
    }
    public void setModel(String model) {
        model_ = model;
    }
    public void setDepth(int depth) {
        depth_ = depth;
    }
    public void setWidth(int width) {
        width_ = width;
    }
    public void setHeight(int height) {
        height_ = height;
    }
    public void setHtmlVersion(String htmlVersion) {
        htmlVersion_ = htmlVersion;
    }
}
